package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdActivityAddress;
import com.xmomen.module.base.entity.CdActivityAddressExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdActivityAddressMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdActivityAddressExample example);

    // 根据条件删除记录
    int deleteByExample(CdActivityAddressExample example);

    // 插入记录
    int insertSelective(CdActivityAddress record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdActivityAddress record, @Param("example") CdActivityAddressExample example);
}